Gestiono
Referencia de APIResources / Return

Create Return

← Back to full API reference
POST/v1/resource/returnAuth required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: postReturn.

Request details

Body fields

FieldRequiredDescription
vendorTaxIdNoType: string
returnedOnDivisionIdYesType: number
availableToRedeemNoType: number
creditNoteAmountNoType: number
reasonNoType: string
isDiscountOnlyNoType: boolean
creditNoteTypeNoType: enumExample: RETURN
elementsNoType: arrayExample:
elements[]YesType: object
elements[].resourceIdYesType: number
elements[].quantityYesType: number
elements[].pricePerUnitYesType: number
elements[].taxesNoType: arrayExample:
elements[].taxes[]YesType: object
elements[].taxes[].taxRateIdYesType: number
elements[].taxes[].isIncludedInPriceNoType: boolean
elements[].serialNumbersNoType: arrayExample:
elements[].serialNumbers[]YesType: string
invoiceIdYesType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "returnedOnDivisionId": 1,
  "invoiceId": 1
}

Sample response

json
"<result>"